ControlApi
activateVersion
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
| version | Query | String | [default to null] |
Response TaskStatus
delete
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
Response TaskStatus
deleteTopic
Request
DELETE https://api.dataspray.io/v1/organization/{organizationName}/topic/{topicName} (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| topicName | Path | String | [default to null] |
| expectedVersion | Query | Long | [optional] [default to null] |
Response Topics
deployVersion
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
| sessionId | Path | String | [default to null] |
| InvocationType | Header | String | [default to null] |
| DeployRequest | Body | DeployRequest |
Response TaskVersion
deployVersionCheck
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
| sessionId | Path | String | [default to null] |
Response DeployVersionCheckResponse
getTopicSchema
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| topicName | Path | String | [default to null] |
Response TopicSchema
getTopics
Request
GET https://api.dataspray.io/v1/organization/{organizationName}/topics (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
Response Topics
getVersions
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
Response TaskVersions
pause
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
Response TaskStatus
resume
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
Response TaskStatus
status
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| taskId | Path | String | [default to null] |
Response TaskStatus
statusAll
Request
GET https://api.dataspray.io/v1/organization/{organizationName}/control/status (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| cursor | Query | String | [optional] [default to null] |
Response TaskStatuses
updateDefaultTopic
Request
PATCH https://api.dataspray.io/v1/organization/{organizationName}/topic/default (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| UpdateDefaultTopicRequest | Body | UpdateDefaultTopicRequest | |
| expectedVersion | Query | Long | [optional] [default to null] |
Response Topics
updateTopic
Request
PATCH https://api.dataspray.io/v1/organization/{organizationName}/topic/{topicName} (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| topicName | Path | String | [default to null] |
| Topic | Body | Topic | |
| expectedVersion | Query | Long | [optional] [default to null] |
Response Topics
updateTopicSchema
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| topicName | Path | String | [default to null] |
| UpdateTopicSchemaRequest | Body | UpdateTopicSchemaRequest |
Response null (empty response body)
uploadCode
Request
PUT https://api.dataspray.io/v1/organization/{organizationName}/control/code/upload (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| UploadCodeRequest | Body | UploadCodeRequest |
Response UploadCodeResponse